﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FBsp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void bnClick1_Click(object sender, EventArgs e)
        {
            DialogResult ret = MessageBox.Show("Text", "Überschrift", 
                MessageBoxButtons.OKCancel,
                MessageBoxIcon.Asterisk, 
                MessageBoxDefaultButton.Button2);
            if (ret == DialogResult.OK)
                MessageBox.Show("Ok gedrückt");
        }

        private void bnInput_Click(object sender, EventArgs e)
        {
            Input dialog = new Input();
            DialogResult ret = dialog.ShowDialog();
            if (ret == DialogResult.OK)
            {
                textBox1.AppendText( dialog.text+"\r\n" );
            }
        }

        private long fakultaet(long n)
        {
            if (n<=1)
                return 1;
            else
                return n*fakultaet(n-1);
        }

        private void bnCalc_Click(object sender, EventArgs e)
        {
            Input dialog = new Input();
            DialogResult ret = dialog.ShowDialog();
            if (ret == DialogResult.OK)
            {
                String s=dialog.text;
                long n;
                if (long.TryParse(s, out n))
                {
                    long erg = fakultaet(n);
                    textBox1.AppendText(
                        n + "!  = " + 
                        string.Format("{0:0,0}",erg)
                        + "\r\n");
                }
                else
                {
                    MessageBox.Show("Fehlerhafte Eingabe der Zahl \"n\"", "Fehler",
                        MessageBoxButtons.OK, MessageBoxIcon.Error);

                }
            }

        }
    }
}
