﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace FBsp4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void mnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        

        private void open_click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog1 = new OpenFileDialog();
            openFileDialog1.Filter =
               "Textdateien (*.txt)|*.txt|Alle Dateien (*.*)|*.*";
            openFileDialog1.FilterIndex = 1;// zählt von 1 !
            openFileDialog1.DefaultExt = ".txt";
            openFileDialog1.InitialDirectory =
                System.Environment.CurrentDirectory;
            openFileDialog1.InitialDirectory = 
                System.Environment.SpecialFolder.CommonDocuments.ToString();
            openFileDialog1.Multiselect = false;
            openFileDialog1.RestoreDirectory = true;
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                String filename=openFileDialog1.FileName.ToString();
                newRegister(filename);
               // editor.Text = File.ReadAllText(filename);
                // Verarbeitung
            }
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            tabControl1.Dock = DockStyle.Fill;
        }
        private void newRegister (String filename) {
            TabPage tab = new TabPage();
            TextBox editor = new TextBox();
            editor.ScrollBars = ScrollBars.Both;
            editor.WordWrap = false;
            editor.Dock = DockStyle.Fill;
            editor.Multiline = true;

            tabControl1.Controls.Add(tab);
            tab.Controls.Add(editor);
            //int pos = filename.LastIndexOf('\\');
            tab.Text = filename.Substring(filename.LastIndexOf('\\')+1);
            tab.Tag = filename;
            editor.Text = File.ReadAllText(filename);
            editor.Tag = filename;
            tabControl1.SelectedIndex = tabControl1.TabCount - 1;
            //tabControl1.TabPages.RemoveAt
        }


        private void save_click(object sender, EventArgs e)
        {
            SaveFileDialog saveFileDialog1 = new SaveFileDialog();
            saveFileDialog1.Filter =
               "txt files (*.txt)|*.txt|All files (*.*)|*.*";
            saveFileDialog1.FilterIndex = 1;// zählt von 1 !
            saveFileDialog1.DefaultExt = ".txt";
            saveFileDialog1.InitialDirectory = 
                System.Environment.SpecialFolder.CommonDocuments.ToString();

            saveFileDialog1.RestoreDirectory = true;
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                string filename = saveFileDialog1.FileName.ToString();
               // File.WriteAllText(filename, editor.Text);
            }

        }

        private void bnClick1_Click(object sender, EventArgs e)
        {
          // editor.AppendText(tInput.Text+"\r\n");
        }

        private void druckenToolStripButton_Click(object sender, EventArgs e)
        {
            // entspricht save
            if (tabControl1.TabPages.Count > 0)
            {
                int i = tabControl1.SelectedIndex;
                TabPage page = tabControl1.TabPages[i];
                TextBox ed = (TextBox)page.GetNextControl(page, true);
                MessageBox.Show((String) page.Tag);
            }
        }

        
    }
}
